| FlatBuffers An open source project by FPL.

Public Member Functions | Protected Member Functions | List of all members
flatbuffers::Allocator Class Referenceabstract
Inheritance diagram for flatbuffers::Allocator:

## Public Member Functions
virtual uint8_t * | allocate (size_t size)=0
virtual void | deallocate (uint8_t *p, size_t size)=0
virtual uint8_t * | reallocate_downward (uint8_t *old_p, size_t old_size, size_t new_size, size_t in_use_back, size_t in_use_front)

## Protected Member Functions
void | memcpy_downward (uint8_t *old_p, size_t old_size, uint8_t *new_p, size_t new_size, size_t in_use_back, size_t in_use_front)

The documentation for this class was generated from the following file:

- flatbuffers.h